<script setup>
const emit = defineEmits(["mint-token"]);

const props = defineProps({
  currentLocation: undefined,
  currentProject: {},
});
</script>

<template>
  <div
    class="bg-gray-900 rounded-t-lg -mt-5 absolute bottom-0 w-full z-10 px-5 pt-2 pb-5"
  >
    <RouterLink to="/">
      <div
        class="absolute w-10 h-10 z-40 right-5 -top-5 text-gray-200 flex justify-center items-center"
      >
        <svg
          xmlns="http://www.w3.org/2000/svg"
          viewBox="0 0 24 24"
          fill="currentColor"
          class="w-12 h-12"
        >
          <path
            fill-rule="evenodd"
            d="M12 2.25c-5.385 0-9.75 4.365-9.75 9.75s4.365 9.75 9.75 9.75 9.75-4.365 9.75-9.75S17.385 2.25 12 2.25zm-1.72 6.97a.75.75 0 10-1.06 1.06L10.94 12l-1.72 1.72a.75.75 0 101.06 1.06L12 13.06l1.72 1.72a.75.75 0 101.06-1.06L13.06 12l1.72-1.72a.75.75 0 10-1.06-1.06L12 10.94l-1.72-1.72z"
            clip-rule="evenodd"
          />
        </svg></div
    ></RouterLink>

    <div class="w-10 h-1 bg-gray-500 rounded mx-auto mb-5"></div>
    <div class="flex -mx-3">
      <div class="w-full px-3 text-center">
        <div class="text-xs leading-none mb-2 text-gray-200">PROJECT</div>
        <div class="text-xl leading-tight mb-2 text-gray-200">
          {{ currentProject.projectTitle }}
        </div>
        <div class="text-xs leading-none mb-2 text-gray-200">
          {{ currentProject.projectDescription }}
        </div>
      </div>
    </div>
    <hr class="border-gray-800 my-5" />
    <div class="flex -mx-3">
      <div class="w-full px-3 mb-5">
        <RouterLink
          v-for="(voteOption, index) in currentProject.projectVoteOptions"
          :key="index"
          to="/mint"
        >
          <button
            class="block w-full rounded-lg mb-5 p-4 bg-indigo-500 hover:bg-indigo-600 border border-indigo-500 hover:border-indigo-600 text-gray-200 text-center text-sm uppercase"
            @click="
              emit('mint-token', {
                projectNr: currentProject.projectId,
                voteOption: voteOption.id,
              })
            "
          >
            {{ voteOption.text }}
          </button>
        </RouterLink>
      </div>
    </div>
  </div>
</template>

<!-- <style>
.bg-gray-1000 {
  background-color: #0d1015;
}
.rounded-xl {
  border-radius: 1rem;
}
</style> -->
